matrix:
  platform:
  - ubuntu2204
  - ubuntu2404
  bazel:
  - 7.x
  - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++20'
      - '--host_cxxopt=-std=c++20'
    build_targets:
      - '@gutil//...'
      # Test targets depending on dev_dependencies must be excluded: dev_deps
      # are unavailable when building as a non-root module in the BCR presubmit.
      - '-@gutil//gutil:test_artifact_writer_test'
